#!/usr/bin/env python
#
# Example of assembling all available unit tests into one suite. This usually
# varies greatly from one project to the next, so the code shown below will not
# be incorporated into the 'unittest' module. Instead, modify it for your own
# purposes.
# 
# $Id: alltests.py,v 1.1 2000/05/21 05:57:17 purcell Exp $

import unittest

def suite():
    modules_to_test = ('listtests', 'widgettests') # and so on
    alltests = unittest.TestSuite()
    for module in map(__import__, modules_to_test):
        alltests.addTest(module.suite())
    return alltests

if __name__ == '__main__':
    # For inclusion in scripts, wouldn't it be nice if the exit status of
    # this script reflected the success or failure of the test run? This
    # is how to do it:
    import sys
    if not unittest.TextTestRunner().run(suite()).wasSuccessful():
        sys.exit(1)
